### File

`packages/components/eui-table/selectable-header/eui-table-selectable-header.component.ts`

### Description

Component used internally by `eui-table-v2` to add a 'select all' checkbox in the header of the table.

### Implements

`OnInit` `OnDestroy`

### Metadata

selector | `tr[isSelectableHeader]`
imports | `EUI_INPUT_CHECKBOX`
templateUrl | `./eui-table-selectable-header.component.html`

### Index

###### Properties
checkbox Public isCheckedIndeterminate
###### Methods
Public toggleCheckedState
###### Inputs
isChecked isSelectableHeader

### Inputs

isChecked
Type : `boolean`
Default value : `false`

isSelectableHeader
Type : `boolean`
Default value : `true`
Whether a "select all" feature is available in the header.

### Methods

Public toggleCheckedState
`toggleCheckedState(value: boolean)`
Handle the change of the selected status. Parameters :
Name | Type | Optional | Description
value | `boolean` | No | true when checked otherwise false.
Returns : `void`

### Properties

checkbox
Type : `ElementRef<HTMLInputElement>`
Decorators : `@ViewChild('checkbox')`

Public isCheckedIndeterminate
Default value : `false`

# results matching ""

# No results matching ""